<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="jest tests" tests="215" failures="0" time="126.759">
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:08:58" time="54.181" tests="5">
    <testcase classname="Component Tests LoginComponent should authenticate the user upon login when previous state was set" name="Component Tests LoginComponent should authenticate the user upon login when previous state was set" time="0.111">
    </testcase>
    <testcase classname="Component Tests LoginComponent should authenticate the user upon login when previous state was not set" name="Component Tests LoginComponent should authenticate the user upon login when previous state was not set" time="0.031">
    </testcase>
    <testcase classname="Component Tests LoginComponent should empty the credentials upon cancel" name="Component Tests LoginComponent should empty the credentials upon cancel" time="0.023">
    </testcase>
    <testcase classname="Component Tests LoginComponent should redirect user when register" name="Component Tests LoginComponent should redirect user when register" time="0.021">
    </testcase>
    <testcase classname="Component Tests LoginComponent should redirect user when request password" name="Component Tests LoginComponent should redirect user when request password" time="0.019">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:08:58" time="54.726" tests="12">
    <testcase classname="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the basename when it has no sub system" name="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the basename when it has no sub system" time="0.099">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the basename when it has sub systems" name="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the basename when it has sub systems" time="0.028">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the sub system name" name="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the sub system name" time="0.019">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the subsystem when it has multiple keys" name="Component Tests JhiHealthCheckComponent baseName and subSystemName should return the subsystem when it has multiple keys" time="0.02">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent transformHealthData should flatten empty health data" name="Component Tests JhiHealthCheckComponent transformHealthData should flatten empty health data" time="0.022">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with no subsystems" name="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with no subsystems" time="0.02">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has no additional information" name="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has no additional information" time="0.027">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has additional information" name="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has additional information" time="0.02">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has additional error" name="Component Tests JhiHealthCheckComponent transformHealthData should flatten health data with subsystems at level 1, main system has additional error" time="0.018">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent getBadgeClass should get badge class" name="Component Tests JhiHealthCheckComponent getBadgeClass should get badge class" time="0.017">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent refresh should call refresh on init" name="Component Tests JhiHealthCheckComponent refresh should call refresh on init" time="0.022">
    </testcase>
    <testcase classname="Component Tests JhiHealthCheckComponent refresh should handle a 503 on refreshing health data" name="Component Tests JhiHealthCheckComponent refresh should handle a 503 on refreshing health data" time="0.02">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:52" time="3.112" tests="7">
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 0" name="Component Tests Alert Error Component Error Handling Should display an alert on status 0" time="0.052">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 404" name="Component Tests Alert Error Component Error Handling Should display an alert on status 404" time="0.034">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on generic error" name="Component Tests Alert Error Component Error Handling Should display an alert on generic error" time="0.023">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for generic error" name="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for generic error" time="0.022">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for generic error without message" name="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for generic error without message" time="0.027">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for invalid parameters" name="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for invalid parameters" time="0.024">
    </testcase>
    <testcase classname="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for error headers" name="Component Tests Alert Error Component Error Handling Should display an alert on status 400 for error headers" time="0.021">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:53" time="3.335" tests="5">
    <testcase classname="Component Tests RegisterComponent should ensure the two passwords entered match" name="Component Tests RegisterComponent should ensure the two passwords entered match" time="0.048">
    </testcase>
    <testcase classname="Component Tests RegisterComponent should update success to OK after creating an account" name="Component Tests RegisterComponent should update success to OK after creating an account" time="0.032">
    </testcase>
    <testcase classname="Component Tests RegisterComponent should notify of user existence upon 400/login already in use" name="Component Tests RegisterComponent should notify of user existence upon 400/login already in use" time="0.032">
    </testcase>
    <testcase classname="Component Tests RegisterComponent should notify of email existence upon 400/email address already in use" name="Component Tests RegisterComponent should notify of email existence upon 400/email address already in use" time="0.019">
    </testcase>
    <testcase classname="Component Tests RegisterComponent should notify of generic error" name="Component Tests RegisterComponent should notify of generic error" time="0.019">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:56" time="3.065" tests="5">
    <testcase classname="Service Tests Stock Service Service methods should find an element" name="Service Tests Stock Service Service methods should find an element" time="0.033">
    </testcase>
    <testcase classname="Service Tests Stock Service Service methods should create a Stock" name="Service Tests Stock Service Service methods should create a Stock" time="0.074">
    </testcase>
    <testcase classname="Service Tests Stock Service Service methods should update a Stock" name="Service Tests Stock Service Service methods should update a Stock" time="0.016">
    </testcase>
    <testcase classname="Service Tests Stock Service Service methods should return a list of Stock" name="Service Tests Stock Service Service methods should return a list of Stock" time="0.022">
    </testcase>
    <testcase classname="Service Tests Stock Service Service methods should delete a Stock" name="Service Tests Stock Service Service methods should delete a Stock" time="0.012">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:56" time="2.34" tests="6">
    <testcase classname="Component Tests AuditsComponent today function  should set toDate to current date" name="Component Tests AuditsComponent today function  should set toDate to current date" time="0.044">
    </testcase>
    <testcase classname="Component Tests AuditsComponent previousMonth function  should set fromDate to current date" name="Component Tests AuditsComponent previousMonth function  should set fromDate to current date" time="0.027">
    </testcase>
    <testcase classname="Component Tests AuditsComponent By default, on init should set all default values correctly" name="Component Tests AuditsComponent By default, on init should set all default values correctly" time="0.027">
    </testcase>
    <testcase classname="Component Tests AuditsComponent OnInit Should call load all on init" name="Component Tests AuditsComponent OnInit Should call load all on init" time="0.021">
    </testcase>
    <testcase classname="Component Tests AuditsComponent Create sort object Should sort only by id asc" name="Component Tests AuditsComponent Create sort object Should sort only by id asc" time="0.023">
    </testcase>
    <testcase classname="Component Tests AuditsComponent Create sort object Should sort by timestamp asc then by id" name="Component Tests AuditsComponent Create sort object Should sort by timestamp asc then by id" time="0.025">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:59" time="1.33" tests="5">
    <testcase classname="Service Tests Vente Service Service methods should find an element" name="Service Tests Vente Service Service methods should find an element" time="0.022">
    </testcase>
    <testcase classname="Service Tests Vente Service Service methods should create a Vente" name="Service Tests Vente Service Service methods should create a Vente" time="0.016">
    </testcase>
    <testcase classname="Service Tests Vente Service Service methods should update a Vente" name="Service Tests Vente Service Service methods should update a Vente" time="0.015">
    </testcase>
    <testcase classname="Service Tests Vente Service Service methods should return a list of Vente" name="Service Tests Vente Service Service methods should return a list of Vente" time="0.016">
    </testcase>
    <testcase classname="Service Tests Vente Service Service methods should delete a Vente" name="Service Tests Vente Service Service methods should delete a Vente" time="0.021">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:09:59" time="1.513" tests="5">
    <testcase classname="Component Tests PasswordResetFinishComponent should define its initial state" name="Component Tests PasswordResetFinishComponent should define its initial state" time="0.043">
    </testcase>
    <testcase classname="Component Tests PasswordResetFinishComponent sets focus after the view has been initialized" name="Component Tests PasswordResetFinishComponent sets focus after the view has been initialized" time="0.036">
    </testcase>
    <testcase classname="Component Tests PasswordResetFinishComponent should ensure the two passwords entered match" name="Component Tests PasswordResetFinishComponent should ensure the two passwords entered match" time="0.022">
    </testcase>
    <testcase classname="Component Tests PasswordResetFinishComponent should update success to OK after resetting password" name="Component Tests PasswordResetFinishComponent should update success to OK after resetting password" time="0.03">
    </testcase>
    <testcase classname="Component Tests PasswordResetFinishComponent should notify of generic error" name="Component Tests PasswordResetFinishComponent should notify of generic error" time="0.034">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:00" time="1.595" tests="5">
    <testcase classname="Component Tests PasswordResetInitComponent should define its initial state" name="Component Tests PasswordResetInitComponent should define its initial state" time="0.035">
    </testcase>
    <testcase classname="Component Tests PasswordResetInitComponent sets focus after the view has been initialized" name="Component Tests PasswordResetInitComponent sets focus after the view has been initialized" time="0.026">
    </testcase>
    <testcase classname="Component Tests PasswordResetInitComponent notifies of success upon successful requestReset" name="Component Tests PasswordResetInitComponent notifies of success upon successful requestReset" time="0.022">
    </testcase>
    <testcase classname="Component Tests PasswordResetInitComponent notifies of unknown email upon email address not registered/400" name="Component Tests PasswordResetInitComponent notifies of unknown email upon email address not registered/400" time="0.018">
    </testcase>
    <testcase classname="Component Tests PasswordResetInitComponent notifies of error upon error response" name="Component Tests PasswordResetInitComponent notifies of error upon error response" time="0.02">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:00" time="2.108" tests="6">
    <testcase classname="Component Tests Laboratoire Management Component Should call load all on init" name="Component Tests Laboratoire Management Component Should call load all on init" time="0.062">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Component should load a page" name="Component Tests Laboratoire Management Component should load a page" time="0.034">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Component should not load a page is the page is the same as the previous page" name="Component Tests Laboratoire Management Component should not load a page is the page is the same as the previous page" time="0.034">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Component should re-initialize the page" name="Component Tests Laboratoire Management Component should re-initialize the page" time="0.038">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Component should calculate the sort attribute for an id" name="Component Tests Laboratoire Management Component should calculate the sort attribute for an id" time="0.03">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Laboratoire Management Component should calculate the sort attribute for a non-id attribute" time="0.032">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:02" time="2.046" tests="6">
    <testcase classname="Component Tests LigneVente Management Component Should call load all on init" name="Component Tests LigneVente Management Component Should call load all on init" time="0.058">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Component should load a page" name="Component Tests LigneVente Management Component should load a page" time="0.044">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Component should not load a page is the page is the same as the previous page" name="Component Tests LigneVente Management Component should not load a page is the page is the same as the previous page" time="0.042">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Component should re-initialize the page" name="Component Tests LigneVente Management Component should re-initialize the page" time="0.034">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Component should calculate the sort attribute for an id" name="Component Tests LigneVente Management Component should calculate the sort attribute for an id" time="0.03">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests LigneVente Management Component should calculate the sort attribute for a non-id attribute" time="0.035">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:02" time="2.367" tests="6">
    <testcase classname="Component Tests Categorie Management Component Should call load all on init" name="Component Tests Categorie Management Component Should call load all on init" time="0.052">
    </testcase>
    <testcase classname="Component Tests Categorie Management Component should load a page" name="Component Tests Categorie Management Component should load a page" time="0.04">
    </testcase>
    <testcase classname="Component Tests Categorie Management Component should not load a page is the page is the same as the previous page" name="Component Tests Categorie Management Component should not load a page is the page is the same as the previous page" time="0.029">
    </testcase>
    <testcase classname="Component Tests Categorie Management Component should re-initialize the page" name="Component Tests Categorie Management Component should re-initialize the page" time="0.036">
    </testcase>
    <testcase classname="Component Tests Categorie Management Component should calculate the sort attribute for an id" name="Component Tests Categorie Management Component should calculate the sort attribute for an id" time="0.038">
    </testcase>
    <testcase classname="Component Tests Categorie Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Categorie Management Component should calculate the sort attribute for a non-id attribute" time="0.032">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:04" time="1.82" tests="6">
    <testcase classname="Component Tests Grossiste Management Component Should call load all on init" name="Component Tests Grossiste Management Component Should call load all on init" time="0.051">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Component should load a page" name="Component Tests Grossiste Management Component should load a page" time="0.04">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Component should not load a page is the page is the same as the previous page" name="Component Tests Grossiste Management Component should not load a page is the page is the same as the previous page" time="0.047">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Component should re-initialize the page" name="Component Tests Grossiste Management Component should re-initialize the page" time="0.042">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Component should calculate the sort attribute for an id" name="Component Tests Grossiste Management Component should calculate the sort attribute for an id" time="0.036">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Grossiste Management Component should calculate the sort attribute for a non-id attribute" time="0.032">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:05" time="1.762" tests="6">
    <testcase classname="Component Tests Produit Management Component Should call load all on init" name="Component Tests Produit Management Component Should call load all on init" time="0.049">
    </testcase>
    <testcase classname="Component Tests Produit Management Component should load a page" name="Component Tests Produit Management Component should load a page" time="0.044">
    </testcase>
    <testcase classname="Component Tests Produit Management Component should not load a page is the page is the same as the previous page" name="Component Tests Produit Management Component should not load a page is the page is the same as the previous page" time="0.032">
    </testcase>
    <testcase classname="Component Tests Produit Management Component should re-initialize the page" name="Component Tests Produit Management Component should re-initialize the page" time="0.033">
    </testcase>
    <testcase classname="Component Tests Produit Management Component should calculate the sort attribute for an id" name="Component Tests Produit Management Component should calculate the sort attribute for an id" time="0.033">
    </testcase>
    <testcase classname="Component Tests Produit Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Produit Management Component should calculate the sort attribute for a non-id attribute" time="0.037">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:06" time="1.527" tests="6">
    <testcase classname="Component Tests Vente Management Component Should call load all on init" name="Component Tests Vente Management Component Should call load all on init" time="0.061">
    </testcase>
    <testcase classname="Component Tests Vente Management Component should load a page" name="Component Tests Vente Management Component should load a page" time="0.035">
    </testcase>
    <testcase classname="Component Tests Vente Management Component should not load a page is the page is the same as the previous page" name="Component Tests Vente Management Component should not load a page is the page is the same as the previous page" time="0.042">
    </testcase>
    <testcase classname="Component Tests Vente Management Component should re-initialize the page" name="Component Tests Vente Management Component should re-initialize the page" time="0.035">
    </testcase>
    <testcase classname="Component Tests Vente Management Component should calculate the sort attribute for an id" name="Component Tests Vente Management Component should calculate the sort attribute for an id" time="0.035">
    </testcase>
    <testcase classname="Component Tests Vente Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Vente Management Component should calculate the sort attribute for a non-id attribute" time="0.034">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:07" time="1.491" tests="6">
    <testcase classname="Component Tests Stock Management Component Should call load all on init" name="Component Tests Stock Management Component Should call load all on init" time="0.053">
    </testcase>
    <testcase classname="Component Tests Stock Management Component should load a page" name="Component Tests Stock Management Component should load a page" time="0.033">
    </testcase>
    <testcase classname="Component Tests Stock Management Component should not load a page is the page is the same as the previous page" name="Component Tests Stock Management Component should not load a page is the page is the same as the previous page" time="0.04">
    </testcase>
    <testcase classname="Component Tests Stock Management Component should re-initialize the page" name="Component Tests Stock Management Component should re-initialize the page" time="0.036">
    </testcase>
    <testcase classname="Component Tests Stock Management Component should calculate the sort attribute for an id" name="Component Tests Stock Management Component should calculate the sort attribute for an id" time="0.04">
    </testcase>
    <testcase classname="Component Tests Stock Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Stock Management Component should calculate the sort attribute for a non-id attribute" time="0.027">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:07" time="1.946" tests="6">
    <testcase classname="Component Tests Rayon Management Component Should call load all on init" name="Component Tests Rayon Management Component Should call load all on init" time="0.05">
    </testcase>
    <testcase classname="Component Tests Rayon Management Component should load a page" name="Component Tests Rayon Management Component should load a page" time="0.038">
    </testcase>
    <testcase classname="Component Tests Rayon Management Component should not load a page is the page is the same as the previous page" name="Component Tests Rayon Management Component should not load a page is the page is the same as the previous page" time="0.042">
    </testcase>
    <testcase classname="Component Tests Rayon Management Component should re-initialize the page" name="Component Tests Rayon Management Component should re-initialize the page" time="0.031">
    </testcase>
    <testcase classname="Component Tests Rayon Management Component should calculate the sort attribute for an id" name="Component Tests Rayon Management Component should calculate the sort attribute for an id" time="0.039">
    </testcase>
    <testcase classname="Component Tests Rayon Management Component should calculate the sort attribute for a non-id attribute" name="Component Tests Rayon Management Component should calculate the sort attribute for a non-id attribute" time="0.048">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:08" time="0.977" tests="5">
    <testcase classname="Service Tests LigneVente Service Service methods should find an element" name="Service Tests LigneVente Service Service methods should find an element" time="0.027">
    </testcase>
    <testcase classname="Service Tests LigneVente Service Service methods should create a LigneVente" name="Service Tests LigneVente Service Service methods should create a LigneVente" time="0.084">
    </testcase>
    <testcase classname="Service Tests LigneVente Service Service methods should update a LigneVente" name="Service Tests LigneVente Service Service methods should update a LigneVente" time="0.024">
    </testcase>
    <testcase classname="Service Tests LigneVente Service Service methods should return a list of LigneVente" name="Service Tests LigneVente Service Service methods should return a list of LigneVente" time="0.02">
    </testcase>
    <testcase classname="Service Tests LigneVente Service Service methods should delete a LigneVente" name="Service Tests LigneVente Service Service methods should delete a LigneVente" time="0.016">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:09" time="0.92" tests="5">
    <testcase classname="Service Tests Laboratoire Service Service methods should find an element" name="Service Tests Laboratoire Service Service methods should find an element" time="0.021">
    </testcase>
    <testcase classname="Service Tests Laboratoire Service Service methods should create a Laboratoire" name="Service Tests Laboratoire Service Service methods should create a Laboratoire" time="0.017">
    </testcase>
    <testcase classname="Service Tests Laboratoire Service Service methods should update a Laboratoire" name="Service Tests Laboratoire Service Service methods should update a Laboratoire" time="0.012">
    </testcase>
    <testcase classname="Service Tests Laboratoire Service Service methods should return a list of Laboratoire" name="Service Tests Laboratoire Service Service methods should return a list of Laboratoire" time="0.013">
    </testcase>
    <testcase classname="Service Tests Laboratoire Service Service methods should delete a Laboratoire" name="Service Tests Laboratoire Service Service methods should delete a Laboratoire" time="0.022">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:09" time="1.143" tests="8">
    <testcase classname="Service Tests Account Service Service methods should call /account if user is undefined" name="Service Tests Account Service Service methods should call /account if user is undefined" time="0.051">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods should call /account only once" name="Service Tests Account Service Service methods should call /account only once" time="0.026">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAuthority should return false if user is not logged" name="Service Tests Account Service Service methods hasAuthority should return false if user is not logged" time="0.02">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAuthority should return false if user is logged and has not authority" name="Service Tests Account Service Service methods hasAuthority should return false if user is logged and has not authority" time="0.02">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAuthority should return true if user is logged and has authority" name="Service Tests Account Service Service methods hasAuthority should return true if user is logged and has authority" time="0.021">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAnyAuthority should return false if user is not logged" name="Service Tests Account Service Service methods hasAnyAuthority should return false if user is not logged" time="0.018">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAnyAuthority should return false if user is logged and has not authority" name="Service Tests Account Service Service methods hasAnyAuthority should return false if user is logged and has not authority" time="0.014">
    </testcase>
    <testcase classname="Service Tests Account Service Service methods hasAnyAuthority should return true if user is logged and has authority" name="Service Tests Account Service Service methods hasAnyAuthority should return true if user is logged and has authority" time="0.019">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:10" time="1.079" tests="5">
    <testcase classname="Service Tests Grossiste Service Service methods should find an element" name="Service Tests Grossiste Service Service methods should find an element" time="0.022">
    </testcase>
    <testcase classname="Service Tests Grossiste Service Service methods should create a Grossiste" name="Service Tests Grossiste Service Service methods should create a Grossiste" time="0.024">
    </testcase>
    <testcase classname="Service Tests Grossiste Service Service methods should update a Grossiste" name="Service Tests Grossiste Service Service methods should update a Grossiste" time="0.013">
    </testcase>
    <testcase classname="Service Tests Grossiste Service Service methods should return a list of Grossiste" name="Service Tests Grossiste Service Service methods should return a list of Grossiste" time="0.016">
    </testcase>
    <testcase classname="Service Tests Grossiste Service Service methods should delete a Grossiste" name="Service Tests Grossiste Service Service methods should delete a Grossiste" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:10" time="1.734" tests="3">
    <testcase classname="Component Tests User Management Update Component OnInit Should load authorities and language on init" name="Component Tests User Management Update Component OnInit Should load authorities and language on init" time="0.056">
    </testcase>
    <testcase classname="Component Tests User Management Update Component save Should call update service on save for existing user" name="Component Tests User Management Update Component save Should call update service on save for existing user" time="0.056">
    </testcase>
    <testcase classname="Component Tests User Management Update Component save Should call create service on save for new user" name="Component Tests User Management Update Component save Should call create service on save for new user" time="0.163">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:11" time="0.951" tests="5">
    <testcase classname="Service Tests Produit Service Service methods should find an element" name="Service Tests Produit Service Service methods should find an element" time="0.034">
    </testcase>
    <testcase classname="Service Tests Produit Service Service methods should create a Produit" name="Service Tests Produit Service Service methods should create a Produit" time="0.034">
    </testcase>
    <testcase classname="Service Tests Produit Service Service methods should update a Produit" name="Service Tests Produit Service Service methods should update a Produit" time="0.015">
    </testcase>
    <testcase classname="Service Tests Produit Service Service methods should return a list of Produit" name="Service Tests Produit Service Service methods should return a list of Produit" time="0.017">
    </testcase>
    <testcase classname="Service Tests Produit Service Service methods should delete a Produit" name="Service Tests Produit Service Service methods should delete a Produit" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:12" time="0.87" tests="5">
    <testcase classname="Service Tests Rayon Service Service methods should find an element" name="Service Tests Rayon Service Service methods should find an element" time="0.021">
    </testcase>
    <testcase classname="Service Tests Rayon Service Service methods should create a Rayon" name="Service Tests Rayon Service Service methods should create a Rayon" time="0.017">
    </testcase>
    <testcase classname="Service Tests Rayon Service Service methods should update a Rayon" name="Service Tests Rayon Service Service methods should update a Rayon" time="0.023">
    </testcase>
    <testcase classname="Service Tests Rayon Service Service methods should return a list of Rayon" name="Service Tests Rayon Service Service methods should return a list of Rayon" time="0.013">
    </testcase>
    <testcase classname="Service Tests Rayon Service Service methods should delete a Rayon" name="Service Tests Rayon Service Service methods should delete a Rayon" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:12" time="0.955" tests="5">
    <testcase classname="Service Tests Categorie Service Service methods should find an element" name="Service Tests Categorie Service Service methods should find an element" time="0.024">
    </testcase>
    <testcase classname="Service Tests Categorie Service Service methods should create a Categorie" name="Service Tests Categorie Service Service methods should create a Categorie" time="0.024">
    </testcase>
    <testcase classname="Service Tests Categorie Service Service methods should update a Categorie" name="Service Tests Categorie Service Service methods should update a Categorie" time="0.014">
    </testcase>
    <testcase classname="Service Tests Categorie Service Service methods should return a list of Categorie" name="Service Tests Categorie Service Service methods should return a list of Categorie" time="0.017">
    </testcase>
    <testcase classname="Service Tests Categorie Service Service methods should delete a Categorie" name="Service Tests Categorie Service Service methods should delete a Categorie" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:13" time="1.45" tests="4">
    <testcase classname="Component Tests PasswordComponent should show error if passwords do not match" name="Component Tests PasswordComponent should show error if passwords do not match" time="0.038">
    </testcase>
    <testcase classname="Component Tests PasswordComponent should call Auth.changePassword when passwords match" name="Component Tests PasswordComponent should call Auth.changePassword when passwords match" time="0.033">
    </testcase>
    <testcase classname="Component Tests PasswordComponent should set success to OK upon success" name="Component Tests PasswordComponent should set success to OK upon success" time="0.022">
    </testcase>
    <testcase classname="Component Tests PasswordComponent should notify of error if change password fails" name="Component Tests PasswordComponent should notify of error if change password fails" time="0.023">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:13" time="1.591" tests="3">
    <testcase classname="Component Tests LogsComponent OnInit should set all default values correctly" name="Component Tests LogsComponent OnInit should set all default values correctly" time="0.037">
    </testcase>
    <testcase classname="Component Tests LogsComponent OnInit Should call load all on init" name="Component Tests LogsComponent OnInit Should call load all on init" time="0.033">
    </testcase>
    <testcase classname="Component Tests LogsComponent change log level should change log level correctly" name="Component Tests LogsComponent change log level should change log level correctly" time="0.024">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:15" time="1.396" tests="3">
    <testcase classname="Component Tests SettingsComponent should send the current identity upon save" name="Component Tests SettingsComponent should send the current identity upon save" time="0.038">
    </testcase>
    <testcase classname="Component Tests SettingsComponent should notify of success upon successful save" name="Component Tests SettingsComponent should notify of success upon successful save" time="0.025">
    </testcase>
    <testcase classname="Component Tests SettingsComponent should notify of error upon failed save" name="Component Tests SettingsComponent should notify of error upon failed save" time="0.024">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:15" time="1.68" tests="2">
    <testcase classname="Component Tests User Management Component OnInit Should call load all on init" name="Component Tests User Management Component OnInit Should call load all on init" time="0.044">
    </testcase>
    <testcase classname="Component Tests User Management Component setActive Should update user and call load all" name="Component Tests User Management Component setActive Should update user and call load all" time="0.034">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:16" time="0.876" tests="4">
    <testcase classname="Service Tests User Service Service methods should call correct URL" name="Service Tests User Service Service methods should call correct URL" time="0.021">
    </testcase>
    <testcase classname="Service Tests User Service Service methods should return User" name="Service Tests User Service Service methods should return User" time="0.015">
    </testcase>
    <testcase classname="Service Tests User Service Service methods should return Authorities" name="Service Tests User Service Service methods should return Authorities" time="0.015">
    </testcase>
    <testcase classname="Service Tests User Service Service methods should propagate not found response" name="Service Tests User Service Service methods should propagate not found response" time="0.014">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:16" time="1.409" tests="3">
    <testcase classname="Component Tests JhiConfigurationComponent OnInit should set all default values correctly" name="Component Tests JhiConfigurationComponent OnInit should set all default values correctly" time="0.036">
    </testcase>
    <testcase classname="Component Tests JhiConfigurationComponent OnInit Should call load all on init" name="Component Tests JhiConfigurationComponent OnInit Should call load all on init" time="0.041">
    </testcase>
    <testcase classname="Component Tests JhiConfigurationComponent keys method should return the keys of an Object" name="Component Tests JhiConfigurationComponent keys method should return the keys of an Object" time="0.022">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:17" time="1.003" tests="3">
    <testcase classname="Service Tests Logs Service Service methods should call correct URL" name="Service Tests Logs Service Service methods should call correct URL" time="0.028">
    </testcase>
    <testcase classname="Service Tests Logs Service Service methods should get the config" name="Service Tests Logs Service Service methods should get the config" time="0.017">
    </testcase>
    <testcase classname="Service Tests Logs Service Service methods should get the env" name="Service Tests Logs Service Service methods should get the env" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:18" time="1.346" tests="2">
    <testcase classname="Component Tests Laboratoire Management Update Component save Should call update service on save for existing entity" name="Component Tests Laboratoire Management Update Component save Should call update service on save for existing entity" time="0.048">
    </testcase>
    <testcase classname="Component Tests Laboratoire Management Update Component save Should call create service on save for new entity" name="Component Tests Laboratoire Management Update Component save Should call create service on save for new entity" time="0.043">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:18" time="1.351" tests="2">
    <testcase classname="Component Tests LigneVente Management Update Component save Should call update service on save for existing entity" name="Component Tests LigneVente Management Update Component save Should call update service on save for existing entity" time="0.061">
    </testcase>
    <testcase classname="Component Tests LigneVente Management Update Component save Should call create service on save for new entity" name="Component Tests LigneVente Management Update Component save Should call create service on save for new entity" time="0.038">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:19" time="1.318" tests="3">
    <testcase classname="Component Tests ActivateComponent calls activate.get with the key from params" name="Component Tests ActivateComponent calls activate.get with the key from params" time="0.034">
    </testcase>
    <testcase classname="Component Tests ActivateComponent should set set success to OK upon successful activation" name="Component Tests ActivateComponent should set set success to OK upon successful activation" time="0.025">
    </testcase>
    <testcase classname="Component Tests ActivateComponent should set set error to ERROR upon activation failure" name="Component Tests ActivateComponent should set set error to ERROR upon activation failure" time="0.021">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:20" time="1.21" tests="2">
    <testcase classname="Component Tests Categorie Management Update Component save Should call update service on save for existing entity" name="Component Tests Categorie Management Update Component save Should call update service on save for existing entity" time="0.052">
    </testcase>
    <testcase classname="Component Tests Categorie Management Update Component save Should call create service on save for new entity" name="Component Tests Categorie Management Update Component save Should call create service on save for new entity" time="0.042">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:20" time="1.237" tests="2">
    <testcase classname="Component Tests Grossiste Management Update Component save Should call update service on save for existing entity" name="Component Tests Grossiste Management Update Component save Should call update service on save for existing entity" time="0.052">
    </testcase>
    <testcase classname="Component Tests Grossiste Management Update Component save Should call create service on save for new entity" name="Component Tests Grossiste Management Update Component save Should call create service on save for new entity" time="0.038">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:21" time="1.585" tests="2">
    <testcase classname="Component Tests Produit Management Update Component save Should call update service on save for existing entity" name="Component Tests Produit Management Update Component save Should call update service on save for existing entity" time="0.059">
    </testcase>
    <testcase classname="Component Tests Produit Management Update Component save Should call create service on save for new entity" name="Component Tests Produit Management Update Component save Should call create service on save for new entity" time="0.041">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:22" time="1.791" tests="2">
    <testcase classname="Component Tests Vente Management Update Component save Should call update service on save for existing entity" name="Component Tests Vente Management Update Component save Should call update service on save for existing entity" time="0.466">
    </testcase>
    <testcase classname="Component Tests Vente Management Update Component save Should call create service on save for new entity" name="Component Tests Vente Management Update Component save Should call create service on save for new entity" time="0.049">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:23" time="1.367" tests="2">
    <testcase classname="Component Tests Rayon Management Update Component save Should call update service on save for existing entity" name="Component Tests Rayon Management Update Component save Should call update service on save for existing entity" time="0.06">
    </testcase>
    <testcase classname="Component Tests Rayon Management Update Component save Should call create service on save for new entity" name="Component Tests Rayon Management Update Component save Should call create service on save for new entity" time="0.041">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:24" time="1.175" tests="3">
    <testcase classname="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should initialize with default values" name="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should initialize with default values" time="0.034">
    </testcase>
    <testcase classname="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should increase strength upon password value change" name="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should increase strength upon password value change" time="0.022">
    </testcase>
    <testcase classname="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should change the color based on strength" name="Component Tests PasswordStrengthBarComponent PasswordStrengthBarComponents should change the color based on strength" time="0.022">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:24" time="1.704" tests="2">
    <testcase classname="Component Tests Stock Management Update Component save Should call update service on save for existing entity" name="Component Tests Stock Management Update Component save Should call update service on save for existing entity" time="0.087">
    </testcase>
    <testcase classname="Component Tests Stock Management Update Component save Should call create service on save for new entity" name="Component Tests Stock Management Update Component save Should call create service on save for new entity" time="0.046">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:25" time="0.826" tests="3">
    <testcase classname="Service Tests Audits Service Service methods should call correct URL" name="Service Tests Audits Service Service methods should call correct URL" time="0.028">
    </testcase>
    <testcase classname="Service Tests Audits Service Service methods should return Audits" name="Service Tests Audits Service Service methods should return Audits" time="0.015">
    </testcase>
    <testcase classname="Service Tests Audits Service Service methods should propagate not found response" name="Service Tests Audits Service Service methods should propagate not found response" time="0.013">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:25" time="1.194" tests="1">
    <testcase classname="Component Tests User Management Detail Component OnInit Should call load all on init" name="Component Tests User Management Detail Component OnInit Should call load all on init" time="0.035">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:26" time="0.906" tests="1">
    <testcase classname="Component Tests User Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests User Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.034">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:26" time="1.118" tests="1">
    <testcase classname="Component Tests Laboratoire Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Laboratoire Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.058">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:27" time="1.114" tests="1">
    <testcase classname="Component Tests LigneVente Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests LigneVente Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.048">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:28" time="1.093" tests="1">
    <testcase classname="Component Tests Grossiste Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Grossiste Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.051">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:28" time="1.15" tests="1">
    <testcase classname="Component Tests Categorie Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Categorie Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.048">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:29" time="1.334" tests="1">
    <testcase classname="Component Tests Produit Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Produit Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.063">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:29" time="1.145" tests="1">
    <testcase classname="Component Tests Rayon Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Rayon Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.048">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:30" time="1.052" tests="1">
    <testcase classname="Component Tests Stock Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Stock Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.048">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:31" time="1.206" tests="1">
    <testcase classname="Component Tests Vente Management Delete Component confirmDelete Should call delete service on confirmDelete" name="Component Tests Vente Management Delete Component confirmDelete Should call delete service on confirmDelete" time="0.056">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:31" time="0.906" tests="3">
    <testcase classname="Service Tests Logs Service Service methods should call correct URL" name="Service Tests Logs Service Service methods should call correct URL" time="0.022">
    </testcase>
    <testcase classname="Service Tests Logs Service Service methods should return Metrics" name="Service Tests Logs Service Service methods should return Metrics" time="0.015">
    </testcase>
    <testcase classname="Service Tests Logs Service Service methods should return Thread Dump" name="Service Tests Logs Service Service methods should return Thread Dump" time="0.014">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:32" time="1.113" tests="1">
    <testcase classname="Component Tests JhiMetricsMonitoringComponent refresh should call refresh on init" name="Component Tests JhiMetricsMonitoringComponent refresh should call refresh on init" time="0.035">
    </testcase>
  </testsuite>
  <testsuite name="Service Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:32" time="0.98" tests="2">
    <testcase classname="Service Tests Logs Service Service methods should call correct URL" name="Service Tests Logs Service Service methods should call correct URL" time="0.022">
    </testcase>
    <testcase classname="Service Tests Logs Service Service methods should change log level" name="Service Tests Logs Service Service methods should change log level" time="0.02">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:33" time="1.035" tests="1">
    <testcase classname="Component Tests Laboratoire Management Detail Component OnInit Should call load all on init" name="Component Tests Laboratoire Management Detail Component OnInit Should call load all on init" time="0.054">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:33" time="1.058" tests="1">
    <testcase classname="Component Tests LigneVente Management Detail Component OnInit Should call load all on init" name="Component Tests LigneVente Management Detail Component OnInit Should call load all on init" time="0.051">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:34" time="1.231" tests="1">
    <testcase classname="Component Tests Grossiste Management Detail Component OnInit Should call load all on init" name="Component Tests Grossiste Management Detail Component OnInit Should call load all on init" time="0.057">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:34" time="1.336" tests="1">
    <testcase classname="Component Tests Categorie Management Detail Component OnInit Should call load all on init" name="Component Tests Categorie Management Detail Component OnInit Should call load all on init" time="0.051">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:35" time="1.23" tests="1">
    <testcase classname="Component Tests Produit Management Detail Component OnInit Should call load all on init" name="Component Tests Produit Management Detail Component OnInit Should call load all on init" time="0.07">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:35" time="1.239" tests="1">
    <testcase classname="Component Tests Stock Management Detail Component OnInit Should call load all on init" name="Component Tests Stock Management Detail Component OnInit Should call load all on init" time="0.063">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:37" time="1.561" tests="1">
    <testcase classname="Component Tests Rayon Management Detail Component OnInit Should call load all on init" name="Component Tests Rayon Management Detail Component OnInit Should call load all on init" time="0.063">
    </testcase>
  </testsuite>
  <testsuite name="Component Tests" errors="0" failures="0" skipped="0" timestamp="2019-12-02T22:10:37" time="1.584" tests="1">
    <testcase classname="Component Tests Vente Management Detail Component OnInit Should call load all on init" name="Component Tests Vente Management Detail Component OnInit Should call load all on init" time="0.064">
    </testcase>
  </testsuite>
</testsuites>